%global srcname p1_utils


Name:       erlang-%{srcname}
Version:    1.0.25
Release:    %mkrel 1
Group:      Development/Erlang
BuildArch:  noarch

License:    ASL 2.0
Summary:    Erlang utility modules from ProcessOne
URL:        https://github.com/processone/p1_utils/
Source0:    https://github.com/processone/p1_utils/archive/%{version}/p1_utils-%{version}.tar.gz

BuildRequires: erlang-rebar


%description
p1_utils is an application containing ProcessOne modules and tools that are
leveraged in other development projects.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# https://github.com/processone/p1_utils/pull/7
sed -i "/.*Created.*/d" src/p1_options.erl


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}



%changelog
* Tue Aug 02 2022 neoclust <neoclust> 1.0.25-1.mga9
+ Revision: 1874680
- New version 1.0.25

* Fri Apr 01 2022 umeabot <umeabot> 1.0.23-2.mga9
+ Revision: 1838169
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 1.0.23-1.mga9
+ Revision: 1772725
- New version 1.0.23

* Sun Dec 20 2020 neoclust <neoclust> 1.0.21-1.mga8
+ Revision: 1661906
- New version 1.0.21
+ wally <wally>
- use %%mkrel

* Sun Dec 20 2020 neoclust <neoclust> 1.0.20-1.mga8
+ Revision: 1661420
- New version 1.0.20

* Wed Feb 12 2020 umeabot <umeabot> 1.0.12-3.mga8
+ Revision: 1510471
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 wally <wally> 1.0.12-2.mga7
+ Revision: 1295004
- revert noarch change

* Thu Sep 20 2018 wally <wally> 1.0.12-1.mga7
+ Revision: 1288425
- new version 1.0.12 (Sync with Fedora)

* Thu Nov 17 2016 neoclust <neoclust> 1.0.5-1.mga6
+ Revision: 1067871
- New version 1.0.5

* Fri May 06 2016 neoclust <neoclust> 1.0.4-1.mga6
+ Revision: 1009832
- imported package erlang-p1_utils

